Bug 55719 - (SCSI FDOMAIN)Adaptec 2920 SCSI Card Kernal Panic
(SCSI FDOMAIN)Adaptec 2920 SCSI Card Kernal Panic
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.2
i586 Linux
high Severity high
: ---
: ---
Assigned To: Doug Ledford
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-11-05 11:29 EST by Need Real Name
Modified: 2008-08-01 12:22 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:39:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2001-11-05 11:29:32 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.72 [en] (X11; U; SunOS 5.6 sun4u)

Description of problem:
Kernal Panic: scsi <fdomain> fdomain_16X0_queue() not reentrant! In 
 swapper task not syncing

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Install AHA2920
2. Install system 
3. Install crashes.
	

Actual Results:  Kernal Panic: scsi <fdomain> fdomain_16X0_queue() not
reentrant! In 
 swapper task not syncing

Additional info:

I was asked to submit this as a unique bug in bug# 21217

I have done some extensive testing of this.

I have tested it on a Cyrix 200, P100, PII 233, K6II 333, and a K6III 450.

The system configs varied with hardware keeping the 2920 card as the common
denominator. 

Each system contained a video card, a network card, a AHA2920 card, and at
least 64 megs of sdram. To make sure 
there were no unknown conflicts I tested with the following cards.

Video
Trident 8900 (ISA)
S3 Trio 64   (PCI)
SiS 1meg     (PCI)

Network
SMC Ultra    (ISA)
3Com EtherLink III (ISA)
3Com EtherLink III (PCI)

SCSI
AHA1542 (ISA)
AHA1540 (ISA)
AHA2920 (PCI)
AHA2940 (PCI)

OS
RedHat 6.0
RedHat 6.1
RedHat 7.0
RedHat 7.1

This issue appears in all versions of RedHat tested with some changes from
6.1 to 7.0 The most notable being that 
until this point the error was just the message "Kernal Panic: scsi
<fdomain> fdomain_16X0_queue() not reentrant! 
In  swapper task not syncing." in 7.0 and 7.1 it changes to a full Kernal
Panic with a multi screen dump of data. I 
would include this data but I do not know how to catch it with out hand
typing it. I have determined that the 
problem is with the AHA2920 card as the problem appears across the board on
all systems containing the 
AHA2920. The problem does not appear when using the AHA2940, AHA1540 or the
AHA1542. Please note that I 
have 3 AHA2920 cards (2 with the Adaptec 3.0 rom and 1 with the fdomain 1.3
rom) that were tested as well as 2 
AHA1542, 2 AHA1540, and 1 AHA2940. 

 I am willing to send RedHat a AHA2920 card, 1gig SCSI drive and cable, If
I can get this problem fixed!

NOTE: I did not test with 6.2 or 7.2 as my copy of 6.2 will not install
(Bad Copy) and I do not yet have 7.2
Comment 1 Need Real Name 2001-11-10 19:23:27 EST
I have tested this with RH7.2 and the problem is still there. I also ran a few
checks with different scsi cables both internal and external. This was to make
sure there were no cable problems.
Comment 2 Bugzilla owner 2004-09-30 11:39:14 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.